Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectweb.jass.as.util
Class SignalSetInfo

    java.lang.Object
      org.objectweb.jass.as.util.SignalSetInfo

public class SignalSetInfo
extends java.lang.Object

Manages information about a signal set.

Author:
  fran Date: Feb 16, 2004 org.objectweb.jass.as.utilSignalSetInfo.java

Constructor Summary
`SignalSetInfo(javax.activity.coordination.SignalSet signalSet)` Constructor.

Method Summary
`void` | `addAction(javax.activity.coordination.Action action, int priority, boolean global)` Registers an action into the managed signal set.
`javax.activity.coordination.Action[]` | `getActions()`
`int` | `getNumberRegisteredActions()` Returns the number of registered actions in the managed signal set.
`javax.activity.coordination.SignalSet` | `getSignalSet()` Returns the managed signal set.
`boolean` | `removeAction(javax.activity.coordination.Action action, boolean global)` Removes an action from the managed signal set.
`java.lang.String` | `toString()` Returns the string representation of the managed signal set.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SignalSetInfo

    public SignalSetInfo(javax.activity.coordination.SignalSet signalSet)

  Constructor.

Parameters:
  `signalSet` - the signal set.

Method Detail

### getSignalSet

    public javax.activity.coordination.SignalSet getSignalSet()

  Returns the managed signal set.

  Returns:
    the signal set

### addAction

    public void addAction(javax.activity.coordination.Action action,
                          int priority,
                          boolean global)

  Registers an action into the managed signal set.

  Parameters:
    `action` - the action.
    `priority` - its priority.
    `global` - true if the action is global.

### getActions

    public javax.activity.coordination.Action[] getActions()

### removeAction

    public boolean removeAction(javax.activity.coordination.Action action,
                                boolean global)

  Removes an action from the managed signal set.

  Parameters:
    `action` - the action.
    `global` - true if the action to remove is global.
  Returns:
    true if the action has been removed.

### getNumberRegisteredActions

    public int getNumberRegisteredActions()

  Returns the number of registered actions in the managed signal set.

  Returns:
    the number of registered actions.

### toString

    public java.lang.String toString()

  Returns the string representation of the managed signal set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD